Galon Cloud
Galon API v1

/tools

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /tools

List tools authorised by the key

API key (Bearer), on the public API endpoint.

Responses

StatusDescriptionBody
200Catalogue limited to the project, the environment, the scopes and the capabilities actually openToolCatalogResponse
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/tools" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.tools.get();

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.tools.get()